CVE-2005-0636
CVSS10.0
发布时间 :2005-03-02 00:00:00
修订时间 :2008-09-05 16:46:52
NMC    

[原文]Format string vulnerability in Foxmail Server 2.0 allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via format strings in the USER command.


[CNNVD]Foxmail Server 多个远程缓冲区溢出漏洞(CNNVD-200503-041)

        Foxmail Server是Windows和linux下都可以使用的邮件服务程序。
        Foxmail Server对特定命令的参数处理存在缓冲区溢出漏洞,远程攻击者可能利用此漏洞在服务器上执行任意指令。
        漏洞的起因是处理POP Server的"USER "命令时存在的边界错误。恶意用户可以通过向有漏洞的命令发送超长的特制参数来利用这个漏洞,导致缓冲区溢出。
        1.堆溢出
         发送超长的用户名,recv报文可导致堆溢出。
         00401BEA |. 8902 mov dword ptr ds:[edx], eax
         00401BEC |. 8950 04 mov dword ptr ds:[eax+4], edx
         EAX = 41414141
         EBX = 41414141
         成功的攻击可导致以SYSTEM权限远程执行任意代码。
        2.格式串漏洞
         发送类似于"%n%n"的用户名就可导致DOS攻击。
        3.栈溢出
         成功的攻击可导致以SYSTEM权限远程执行任意代码。
        

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0636
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0636
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200503-041
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/12711
(VENDOR_ADVISORY)  BID  12711
http://www.securityfocus.com/archive/1/391960
(VENDOR_ADVISORY)  BUGTRAQ  20050302 Foxmail server "USER" command Multiple remote buffer overflow
http://securitytracker.com/id?1013356
(VENDOR_ADVISORY)  SECTRACK  1013356
http://secunia.com/advisories/14145
(VENDOR_ADVISORY)  SECUNIA  14145

- 漏洞信息

Foxmail Server 多个远程缓冲区溢出漏洞
危急 格式化字符串
2005-03-02 00:00:00 2005-10-20 00:00:00
远程  
        Foxmail Server是Windows和linux下都可以使用的邮件服务程序。
        Foxmail Server对特定命令的参数处理存在缓冲区溢出漏洞,远程攻击者可能利用此漏洞在服务器上执行任意指令。
        漏洞的起因是处理POP Server的"USER "命令时存在的边界错误。恶意用户可以通过向有漏洞的命令发送超长的特制参数来利用这个漏洞,导致缓冲区溢出。
        1.堆溢出
         发送超长的用户名,recv报文可导致堆溢出。
         00401BEA |. 8902 mov dword ptr ds:[edx], eax
         00401BEC |. 8950 04 mov dword ptr ds:[eax+4], edx
         EAX = 41414141
         EBX = 41414141
         成功的攻击可导致以SYSTEM权限远程执行任意代码。
        2.格式串漏洞
         发送类似于"%n%n"的用户名就可导致DOS攻击。
        3.栈溢出
         成功的攻击可导致以SYSTEM权限远程执行任意代码。
        

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        http://fox.foxmail.com.cn/cgi/download/nt/nph-install_nt.cgi
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站